lsusb(8)

NAZWA
lsusb - wypisuje urządzenia USB

SKŁADNIA
lsusb [ opcje ]

OPIS
lsusb jest narzędziem do wyświetlania informacji o systemowych szynach USB i podłączonych do nich urządzeniach.

OPCJE

-v, --verbose
    Powoduje, że program wypisuje szczegółowe informacje o pokazywanych urządzeniach. Są to m.in. opisy konfiguracji do aktualnej szybkości urządzenia. W przypadku urządzeń USB takich jak koncentratory, urządzeń: audio, peryferyjnych, komunikacyjnych i kart elektronicznych, zostaną pokazane również opisy klas, o ile będą dostępne.

-s [[szyna]:][numer-urządzenia]
    Pokazuje jedynie urządzenia z określonej szyny lub o podanym numerze-urządzenia. Oba identyfikatory są liczbami dziesiętnymi i można je pominąć.

-d [dostawca]:[produkt]
    Pokazuje jedynie urządzenia o określonym identyfikatorze dostawcy i produktu. Obie wartości są liczbami szesnastkowymi.

-D urządzenie
    Nie przeszukuje katalogu /dev/bus/usb, lecz wyświetla informacje o urządzeniu jedynie z podanego pliku urządzenia. Plik urządzenia powinien być czymś w rodzaju /dev/bus/usb/001/001. Ta opcja wyświetla szczegółowe informacje, podobnie jak -v i z tego powodu wymaga uprawnień administracyjnych.

-t  Nakazuje programowi lsusb zrzucić fizyczną hierarchię urządzenia USB jako drzewo. Przesłania opcję -v.

-V, --version
    Wypisuje informacje o wersji na standardowe wyjście i kończy się z powodzeniem.

WARTOŚĆ ZWRACANA
Jeśli nie odnaleziono podanego urządzenia, zwracana jest wartość niezerowa.

PLIKI

/var/lib/usbutils/usb.ids
    Lista wszystkich znanych identyfikatorów USB (dostawcy, produkty, klasy, podklasy i protokoły).

ZOBACZ TAKŻE
lspci(8), usbview(8).

AUTOR
Thomas Sailer, <sailer@ife.ee.ethz.ch>.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 007 oryginału.